UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo Class Reference

## Public Member Functions
| UMERecoverySequenceNumberCallbackInfo ()
| UMERecoverySequenceNumberCallbackInfo (int flags, long lowSeqNum, long lowRxReqMaxSeqNum, long highSeqNum, Object sourceCbArg, String source) throws LBMEInvalException
| UMERecoverySequenceNumberCallbackInfo (int flags, long lowSeqNum, long lowRxReqMaxSeqNum, long highSeqNum, Object sourceCbArg, String source, long sid) throws LBMEInvalException
int | flags ()
long | lowSequenceNumber ()
long | lowRxReqMaxSequenceNumber ()
long | highSequenceNumber ()
Object | sourceClientObject ()
String | source ()
void | setLowSequenceNumber (long lowSeqNum) throws LBMEInvalException
long | sourceSessionId ()

## Detailed Description

UME Recovery sequence number callback info class. Contains information for user-supplied recovery sequence number callbacks.

Since
  UME 2.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.UMERecoverySequenceNumberCallbackInfo | ( |  | ) |

Default constructor; initializes all fields to 0.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.UMERecoverySequenceNumberCallbackInfo().

com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.UMERecoverySequenceNumberCallbackInfo | ( | int | flags,
|  | long | lowSeqNum,
|  | long | lowRxReqMaxSeqNum,
|  | long | highSeqNum,
|  | Object | sourceCbArg,
|  | String | source
| ) |  | throws LBMEInvalException

Constructor, initializes fields to the given values.

Parameters

  flags | Informational flags.
  lowSeqNum | Low sequence number (can be changed by the application, must be >= 0).
  lowRxReqMaxSeqNum | Low retransmission request maximum sequence number (must be >= 0).
  highSeqNum | High sequence number (must be >= 0).
  sourceCbArg | Client callback object, set by LBMSourceCreationCallback.
  source | The unique source name string (e.g., "TCP:192.168.0.4:45789").

Exceptions

  LBMEInvalException | if lowSeqNum, lowRxReqMaxSeqNum, or highSeqNum < 0.

Since
  UME 2.0

Deprecated:
  As of UMP 6.7, Made internal with no replacement. Applications do not need this constructor.

References com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.flags(), com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.source(), and com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.UMERecoverySequenceNumberCallbackInfo().

## Member Function Documentation

int com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.flags | ( |  | ) |

Get recovery sequence number info informational flags.

Returns
  Informational flags.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.UMERecoverySequenceNumberCallbackInfo().

long com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.highSequenceNumber | ( |  | ) |

Get high sequence number.

Returns
  High sequence number.

Since
  UME 2.0

long com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.lowRxReqMaxSequenceNumber | ( |  | ) |

Get low retransmission request maximum sequence number.

Returns
  low rxreq max sequence number.

Since
  UME 2.0

long com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.lowSequenceNumber | ( |  | ) |

Get low sequence number.

Returns
  Low sequence number.

Since
  UME 2.0

void com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.setLowSequenceNumber | ( | long | lowSeqNum | ) | throws LBMEInvalException

Set the desired starting low sequence number for recovery events. Used in UMERecoverySequenceNumberCallback callbacks.

Parameters

  lowSeqNum | Desired starting sequence number for recovery (must be >= 0).

Exceptions

  LBMEInvalException | if lowSeqNum < 0.

Since
  UME 2.0

String com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.source | ( |  | ) |

Get source name string.

Returns
  Source name.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.UMERecoverySequenceNumberCallbackInfo().

Object com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.sourceClientObject | ( |  | ) |

Get source callback object.

Returns
  Source callback object.

Since
  UME 2.0

long com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.sourceSessionId | ( |  | ) |

Get the sources session id. Note that the session id is an unsigned 64 bit value being represented here as a signed long.

Returns
  The sources session id

Since
  UMP 6.7

The documentation for this class was generated from the following file:

- UMERecoverySequenceNumberCallbackInfo.java